Module tdlight.api
Package it.tdlight.jni

# Class TdApi.CanSendStoryResult

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.CanSendStoryResult

Direct Known Subclasses:
  `TdApi.CanSendStoryResultActiveStoryLimitExceeded`, `TdApi.CanSendStoryResultBoostNeeded`, `TdApi.CanSendStoryResultMonthlyLimitExceeded`, `TdApi.CanSendStoryResultOk`, `TdApi.CanSendStoryResultPremiumNeeded`, `TdApi.CanSendStoryResultWeeklyLimitExceeded`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.CanSendStoryResult extends TdApi.Object permits TdApi.CanSendStoryResultOk, TdApi.CanSendStoryResultPremiumNeeded, TdApi.CanSendStoryResultBoostNeeded, TdApi.CanSendStoryResultActiveStoryLimitExceeded, TdApi.CanSendStoryResultWeeklyLimitExceeded, TdApi.CanSendStoryResultMonthlyLimitExceeded
This class is an abstract base class. Represents result of checking whether the current user can send a story in the specific chat.

## Constructor Summary

Constructors
Constructor
Description
`CanSendStoryResult()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CanSendStoryResult

public CanSendStoryResult()
Default class constructor.